#pragma once

#include "math/matrix.hh"



// non-singlet
void p2nsp(dcomplex &p2plsn, dcomplex &p2minn, dcomplex &p2valn, dcomplex N, int nf);
dcomplex gamma2NSplus(dcomplex N, int nf);
dcomplex gamma2NSminus(dcomplex N, int nf);
dcomplex gamma2NSval(dcomplex N, int nf);




// singlet
void p2ijp(dcomplex &p2psn, dcomplex &p2qgn, dcomplex &p2gqn, dcomplex &p2ggn, dcomplex N, int nf);
dcomplex gamma2SGqq(dcomplex N, int nf);
dcomplex gamma2SGqg(dcomplex N, int nf);
dcomplex gamma2SGgq(dcomplex N, int nf);
dcomplex gamma2SGgg(dcomplex N, int nf);

struct g2singlet {
  dcomplex ps, qg, gq, gg;
};
g2singlet p2ijp(dcomplex N, int nf);
dcomplex gamma2SGqq(dcomplex N, int nf, g2singlet g2);
dcomplex gamma2SGqg(dcomplex N, int nf, g2singlet g2);
dcomplex gamma2SGgq(dcomplex N, int nf, g2singlet g2);
dcomplex gamma2SGgg(dcomplex N, int nf, g2singlet g2);

